Bug 841892 - ping_on_startup ignored
ping_on_startup ignored
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity low
: ER3
: 6.0.1
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 09:49 EDT by Tristan Tarrant
Modified: 2014-03-31 07:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In JBoss Data Grid 6.0.0 the HotRod client option infinispan.client.hotrod.ping_on_startup was ignored and the client pinged the servers on start up. This is now resolved and the client's behavior is in accordance with the infinispan.client.hotrod.ping_on_startup option.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-2215 Major Closed Ping on startup still ignored 2014-05-26 21:45:17 EDT

  None (edit)
Description Tristan Tarrant 2012-07-20 09:49:21 EDT

    
Comment 1 JBoss JIRA Server 2012-07-27 09:48:53 EDT
Michal Linhard <mlinhard@redhat.com> updated the status of jira ISPN-2139 to Reopened
Comment 2 JBoss JIRA Server 2012-07-27 09:48:53 EDT
Michal Linhard <mlinhard@redhat.com> made a comment on jira ISPN-2139

Hi,
I'm just looking at this in 5.1.6.FINAL and the flag infinispan.client.hotrod.ping_on_startup
is still ignored - the ping is done regardless of it.

I guess it's not a good thing not doing the ping
because of the cache name validation at least.

Shouldn't we remove the flag infinispan.client.hotrod.ping_on_startup completely ? As of now it's of no use.
Before releasing 5.2.0 is good time to do this.
Comment 3 JBoss JIRA Server 2012-08-13 06:52:45 EDT
Galder Zamarreño <galder.zamarreno@redhat.com> updated the status of jira ISPN-2139 to Resolved
Comment 4 JBoss JIRA Server 2012-08-13 06:59:24 EDT
Galder Zamarreño <galder.zamarreno@redhat.com> made a comment on jira ISPN-2139

Since the associated fix versions were released, please avoid reopening the JIRA and simply create a new one with the right affects versions.

What is it that you're seeing exactly? I added a test to verify that ping_on_startup disabling worked...
Comment 5 Michal Linhard 2012-08-13 07:24:13 EDT
When getCache is called the ping is done regardless of ping_on_startup flag. The only effect ping_on_startup has is preventing first ping in TransportObjectFactory.makeObject
Comment 6 JBoss JIRA Server 2012-08-28 08:43:28 EDT
Radim Vansa <rvansa@redhat.com> updated the status of jira ISPN-2215 to Closed
Comment 7 JBoss JIRA Server 2012-08-28 08:43:28 EDT
Radim Vansa <rvansa@redhat.com> made a comment on jira ISPN-2215

Verified, in 5.1.7.Final-redhat-1 this is fixed.
Comment 8 JBoss JIRA Server 2012-08-28 08:50:39 EDT
Radim Vansa <rvansa@redhat.com> made a comment on jira ISPN-2215

Correction, 5.1.7.Final-redhat-0 (JDG 6.0.1.ER3)

Note You need to log in before you can comment on or make changes to this bug.